# Generated by Django 5.0 on 2024-12-05 15:04

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("users", "0020_userpublic_is_banned"),
    ]

    operations = [
        migrations.CreateModel(
            name="UserSettings",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("show_nsfw", models.BooleanField(default=False)),
                ("show_hardcore", models.BooleanField(default=False)),
                ("show_politics", models.BooleanField(default=False)),
                ("show_viewed", models.BooleanField(default=True)),
                (
                    "user",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="settings",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="Пользователь",
                    ),
                ),
            ],
            options={
                "verbose_name": "Настройки пользователя",
                "verbose_name_plural": "Настройки пользователей",
            },
        ),
    ]
